﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;

/// <summary>
/// A combination of the <b>Album</b> object from SmugMug
/// as well as the <b>FeaturedAlbum</b> object from the 
/// database.
/// </summary>
public class CompositeAlbum
{
    public Int32 FeaturedAlbumId { get; set; }
    public Byte Rank { get; set; }
    public String AlbumId { get; set; }
    public String ImageId { get; set; }
    public String Title { get; set; }
    public String Description { get; set; }
    public String Category { get; set; }
    public DateTime LastUpdated { get; set; }
    public Int32 ImageCount { get; set; }
    public String TinyUrl { get; set; }
    public String ThumbUrl { get; set; }
    public String Nickname { get; set; }
    public String SmugMugImageLink
    {
        get
        {
            return String.Format(
                "http://{0}.smugmug.com/gallery/{1}#{2}",
                Nickname, AlbumId, ImageId);
        }
    }
}
