﻿<%@ Page Language="C#" %>
<%@ Register src="~/App_Control/Dashboard.ascx" tagname="Dashboard" tagprefix="uc" %>
<%@ Register src="~/App_Control/Alerts.ascx" tagname="Alerts" tagprefix="uc" %>
<%@ Register src="~/App_Control/Tabs.ascx" tagname="Tabs" tagprefix="uc" %>

<style>
.editor_panel 
{
    padding-top: 10px;
    padding-right: 0px;
    padding-bottom: 10px;
    padding-left: 0px;
    background-color: #f7f7f7;
    background-image: none;
    background-repeat: repeat;
    background-attachment: scroll;
    background-x-position: 0%;
    background-y-position: 0%;
}
.account_note
{
    background-color: #ffffff;
    background-image: none;
    background-repeat: repeat;
    background-attachment: scroll;
    background-x-position: 0%;
    background-y-position: 0%;
    padding-top: 10px;
    padding-right: 10px;
    padding-bottom: 10px;
    padding-left: 10px;
    margin-top: 0pt;
    margin-right: 20px;
    margin-bottom: 10px;
    margin-left: 20px;
    border-top-width: 1px;
    border-right-width: 1px;
    border-bottom-width: 1px;
    border-left-width: 1px;
    border-top-style: solid;
    border-right-style: solid;
    border-bottom-style: solid;
    border-left-style: solid;
    border-top-color: #bdc7d8;
    border-right-color: #bdc7d8;
    border-bottom-color: #bdc7d8;
    border-left-color: #bdc7d8;
    color: #444444;
}
</style>

<fb:title>My Account</fb:title>
<uc:Dashboard ID="d" runat="server" />
<uc:Alerts ID="a" runat="server" />
<uc:Tabs ID="t" runat="server" />


<div class="editor_panel">
    <div class="account_note">
        Your SmugMug nickname is the first part of 
        your SmugMug URL (i.e. http://<b>nickname</b>.smugmug.com). 
        <br />
        Once you
        enter your nickname below, you will be able to select albums to display
        on your Facebook profile.
    </div>

<fb:editor action="update/">
    <fb:editor-custom label="Nickname">
        <table border="0" cellpadding="0" cellspacing="0">
            <tr>
                <td>http://</td>
                <td><input type="text" name="nickname" style="width:175px;" value="<%=Nickname%>" /></td>
                <td>.smugmug.com</td>
            </tr>
        </table>
    </fb:editor-custom>
    <fb:editor-divider />
    <fb:editor-buttonset>
        <fb:editor-button value="Save" />
        <fb:editor-cancel />
    </fb:editor-buttonset>
    
</fb:editor>
</div>
<script runat="server">
public String Nickname { get { return new SmfbService().Nickname; } }
</script>

