﻿<%@ Page Language="C#" %>
<%@ Import Namespace="System.Collections.Generic" %>
<%@ Register src="~/App_Control/Dashboard.ascx" tagname="Dashboard" tagprefix="uc" %>
<%@ Register Assembly="FacebookNET.Web" Namespace="Facebook.Web" TagPrefix="fbnet" %>

<style>
.content { 	background-color:#F7F7F7; border-bottom:1px solid #D8DFEA; margin:0px; padding:10px; }
.profile_preview { background-color: White; margin: 5px 5px 5px 105px; border: dotted 1px gray; width: 406px; }
</style>

<fb:title>Profile Refresh</fb:title>
<uc:Dashboard ID="d" runat="server" />

<div class="content">
    <fb:explanation>
        <fb:message>Ready to Publish?</fb:message>
        This is what your profile will look like. If you like the way
        everything looks, press the button below.
        <br /><br />
        <form method="post" action="update/"><input type="submit" value="Update my Profile" class="inputsubmit" /></form>
    </fb:explanation>

    <div class="profile_preview">
        <img src="http://smfb.fb.willsllc.com:8080/App_Themes/Facebook/profile_header.png" />
        <asp:Literal runat="server" id="profilePreview" />
    </div>
</div>

<script runat="server">
protected override void OnLoad(EventArgs e)
{
    base.OnLoad(e);
    try
    {
        SmfbService smfb = new SmfbService();
        String fbml = smfb.GetProfileFbml();
        profilePreview.Text = fbml;
    }
    catch (Exception ex)
    {
        Response.Write(ex.Message);
        Response.Write(ex.StackTrace);
    }
}
</script>
